<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Referendum share per period stacked area chart — plot_rfrnd_share_per_period • rdb</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Referendum share per period stacked area chart — plot_rfrnd_share_per_period"><meta name="description" content="Creates a Plotly stacked area chart that visualizes the share of
referendums per period, grouped by another column."><meta property="og:description" content="Creates a Plotly stacked area chart that visualizes the share of
referendums per period, grouped by another column."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><!-- dependencies from examples --><script src="libs/htmlwidgets-1.6.4/htmlwidgets.js"></script><script src="libs/plotly-binding-4.10.4.9000/plotly.js"></script><script src="libs/typedarray-0.1/typedarray.min.js"></script><link href="libs/crosstalk-1.2.1/css/crosstalk.min.css" rel="stylesheet"><script src="libs/crosstalk-1.2.1/js/crosstalk.min.js"></script><link href="libs/plotly-htmlwidgets-css-2.11.1/plotly-htmlwidgets.css" rel="stylesheet"><script src="libs/plotly-main-2.11.1/plotly-latest.min.js"></script><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Referendum share per period stacked area chart</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb/blob/HEAD/R/rdb.gen.R" class="external-link"><code>R/rdb.gen.R</code></a></small>
      <div class="d-none name"><code>plot_rfrnd_share_per_period.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Creates a <a href="https://plotly.com/r/filled-area-plots/#stacked-area-chart-with-cumulative-values" class="external-link">Plotly stacked area chart</a> that visualizes the share of
referendums per period, grouped by another column.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">plot_rfrnd_share_per_period</span><span class="op">(</span></span>
<span>  <span class="va">data</span>,</span>
<span>  <span class="va">by</span>,</span>
<span>  period <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/c.html" class="external-link">c</a></span><span class="op">(</span><span class="st">"week"</span>, <span class="st">"month"</span>, <span class="st">"quarter"</span>, <span class="st">"year"</span>, <span class="st">"decade"</span>, <span class="st">"century"</span><span class="op">)</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-data">data<a class="anchor" aria-label="anchor" href="#arg-data"></a></dt>
<dd><p>RDB referendum data as returned by <code><a href="rfrnds.html">rfrnds()</a></code>. A data frame that at minimum contains the column specified in <code>period</code> or the column <code>date</code> (to
compute the <a href="add_period.html">period column</a>), plus the column specified in <code>by</code>.</p></dd>


<dt id="arg-by">by<a class="anchor" aria-label="anchor" href="#arg-by"></a></dt>
<dd><p><code>data</code> column to group by before counting number of referendums. <a href="https://dplyr.tidyverse.org/reference/dplyr_tidy_select.html" class="external-link">Tidy selections</a> are supported.</p></dd>


<dt id="arg-period">period<a class="anchor" aria-label="anchor" href="#arg-period"></a></dt>
<dd><p>Type of period to count referendums by. One of
<code>"week"</code>, <code>"month"</code>, <code>"quarter"</code>, <code>"year"</code>, <code>"decade"</code> or <code>"century"</code>.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A <a href="https://rdrr.io/pkg/plotly/man/plot_ly.html" class="external-link">plotly object</a>.</p>
    </div>
    <div class="section level2">
    <h2 id="details">Details<a class="anchor" aria-label="anchor" href="#details"></a></h2>
    <p>Note that the <code>period</code> types <code>"year"</code>, <code>"decade"</code> and <code>"century"</code> are <em>unique</em> timespans, while <code>"week"</code>, <code>"month"</code> and <code>"quarter"</code> are <em>recurring</em> timespans (e.g. every year has a week 1).</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other visualization functions:
<code><a href="ggplot_streamgraph.html">ggplot_streamgraph</a>()</code>,
<code><a href="plot_topic_segmentation.html">plot_topic_segmentation</a>()</code>,
<code><a href="plot_topic_share_per_period.html">plot_topic_share_per_period</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="rfrnds.html">rfrnds</a></span><span class="op">(</span>quiet <span class="op">=</span> <span class="cn">TRUE</span>,</span></span>
<span class="r-in"><span>            max_cache_age <span class="op">=</span> <span class="st">"1 year"</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu">plot_rfrnd_share_per_period</span><span class="op">(</span>by <span class="op">=</span> <span class="st">"level"</span><span class="op">)</span></span></span>
<div id="htmlwidget-ac96cb3ee4656e2e9ec3" style="width:700px;height:432.632880098888px;" class="plotly html-widget"></div>
<script type="application/json" data-for="htmlwidget-ac96cb3ee4656e2e9ec3">{"x":{"visdat":{"6629c461085f9":["function () ","plotlyVisDat"]},"cur_data":"6629c461085f9","attrs":{"6629c461085f9":{"mode":"none","stackgroup":"one","groupnorm":"percent","x":{},"y":{},"name":{},"alpha_stroke":1,"sizes":[10,100],"spans":[1,20],"type":"scatter"}},"layout":{"margin":{"b":40,"l":60,"t":25,"r":10},"hovermode":"x","legend":{"orientation":"h"},"xaxis":{"domain":[0,1],"automargin":true,"dtick":1,"showgrid":false,"ticklabelstep":4,"range":[1,53],"ticks":"outside","title":{"text":[]}},"yaxis":{"domain":[0,1],"automargin":true,"fixedrange":true,"hoverformat":".1f","showgrid":false,"ticksuffix":" % ","title":{"text":[]}},"shapes":[{"type":"line","y0":0,"y1":1,"yref":"paper","x0":4,"x1":4,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":8,"x1":8,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":12,"x1":12,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":16,"x1":16,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":20,"x1":20,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":24,"x1":24,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":28,"x1":28,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":32,"x1":32,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":36,"x1":36,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":40,"x1":40,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":44,"x1":44,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":48,"x1":48,"line":{"color":"#fff","width":0.20000000000000001}},{"type":"line","y0":0,"y1":1,"yref":"paper","x0":52,"x1":52,"line":{"color":"#fff","width":0.20000000000000001}}],"showlegend":true},"source":"A","config":{"modeBarButtonsToAdd":["hoverclosest","hovercompare"],"showSendToCloud":false},"data":[{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53],"y":[15,42,28,32,48,54,38,46,101,75,47,74,60,41,24,44,26,46,52,88,78,88,102,71,49,52,68,32,18,22,18,28,20,54,54,42,32,105,122,41,53,65,75,121,170,30,164,151,121,63,33,9,3],"name":"national","type":"scatter","marker":{"color":"rgba(31,119,180,1)","line":{"color":"rgba(31,119,180,1)"}},"error_y":{"color":"rgba(31,119,180,1)"},"error_x":{"color":"rgba(31,119,180,1)"},"line":{"color":"rgba(31,119,180,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53],"y":[2758,15,34,25,85,168,56,147,344,282,76,43,40,63,48,231,646,375,120,398,81,371,967,232,109,99,16,35,13,6,1,2,16,32,53,61,19,769,428,6,49,111,73,203,1772,65,426,572,212,56,13,1288,604],"name":"subnational","type":"scatter","marker":{"color":"rgba(255,127,14,1)","line":{"color":"rgba(255,127,14,1)"}},"error_y":{"color":"rgba(255,127,14,1)"},"error_x":{"color":"rgba(255,127,14,1)"},"line":{"color":"rgba(255,127,14,1)"},"xaxis":"x","yaxis":"y","frame":null},{"mode":"none","stackgroup":"one","groupnorm":"percent","x":[1,5,8,9,14,16,18,20,21,25,35,39,42,44,45,48],"y":[1,2,3,2,1,1,5,5,2,1,1,1,7,1,8,2],"name":"local","type":"scatter","marker":{"color":"rgba(44,160,44,1)","line":{"color":"rgba(44,160,44,1)"}},"error_y":{"color":"rgba(44,160,44,1)"},"error_x":{"color":"rgba(44,160,44,1)"},"line":{"color":"rgba(44,160,44,1)"},"xaxis":"x","yaxis":"y","frame":null}],"highlight":{"on":"plotly_click","persistent":false,"dynamic":false,"selectize":false,"opacityDim":0.20000000000000001,"selected":{"opacity":1},"debounce":0},"shinyEvents":["plotly_hover","plotly_click","plotly_selected","plotly_relayout","plotly_brushed","plotly_brushing","plotly_clickannotation","plotly_doubleclick","plotly_deselect","plotly_afterplot","plotly_sunburstclick"],"base_url":"https://plot.ly"},"evals":[],"jsHooks":[]}</script></code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

